function [ res ] = UINIT(x)
% 
% Written by:
% -- 
% John L. Weatherwax                2005-06-15
% 
% email: wax@alum.mit.edu
% 
% Please send comments and especially bug reports to the
% above email address.
% 
%-----

t=0.0; 
anuin = 1.0/0.006;
a = -(x-0.5 + 4.95*t)*anuin*0.1;
b = -(x-0.5 + 0.75*t)*anuin*0.5;
c = -(x-0.375) * anuin;
a = exp(a);
b = exp(b);
c = exp(c);
res(1) = (0.1*a + 0.5*b + c) / (a + b + c);


  
  
