function [ res ] = u_exact(x,t)
% 
% Written by:
% -- 
% John L. Weatherwax                2005-06-15
% 
% email: wax@alum.mit.edu
% 
% Please send comments and especially bug reports to the
% above email address.
% 
%-----
  
anuin = 1./.006;
a = -(x-.5 + 4.95*t)*anuin*.1;
b = -(x-.5 + 0.75*t)*anuin*.5;
c = -(x-.375) * anuin;
a = exp(a);
b = exp(b);
c = exp(c);
res = (.1*a + .5*b + c) ./ (a + b + c);
